/*
Theme Name:   marketingkollektiv
Theme URI:    https://marketingkollektiv.com
Description:  A child theme for the Greyd Theme powered by marketingkollektiv GmbH
Author:       marketingkollektiv GmbH
Author URI:   http://marketingkollektiv.com
Template:     greyd-theme
Version:      1.0.0
License:      GPLv2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Text Domain:  mk-theme
*/

/***************************************************
**** VARIABLEN ÜBERSCHREIBUNGEN
***************************************************/

:root {
    --pgn-numbers-gutter: 4px;
    --wp--custom--greyd--input--prim--border--style: solid;
}

/***************************************************
**** GLOBAL FIXES
***************************************************/

main {
    position: relative;
    z-index: 1;
}

.wp-block-cover[style*="min-height:100vh"] {
    min-height: 100svh !important;
}

.wp-block-greyd-list a[href*="mailto:"],
.wp-block-greyd-list a[href*="tel:"],
.wp-block-greyd-box a:not(.button)[href*="mailto:"],
.wp-block-greyd-box a:not(.button)[href*="tel:"] {
    text-decoration: none;
    color: inherit;
    font: inherit;
}

.wp-block-image.is-style-rounded-corners img {
    border-radius: 20px;
}

.wp-block-greyd-accordion__title {
    transition: all .3s ease;
}

.wp-block-greyd-accordion__title .icon {
    transition: all .3s ease;
}

.wp-block-greyd-accordion__title:hover .icon {
    transform: scale(1.3);
}

.wp-block-lcb-ticker-carousel {
    -webkit-mask-image: linear-gradient(to right, transparent, black 20%, black 80%, transparent);
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-size: 100% 100%;
    mask-image: linear-gradient(to right, transparent, black 20%, black 80%, transparent);
    mask-repeat: no-repeat;
    mask-size: 100% 100%;
}

.ticker-kunden .wp-block-lcb-ticker-carousel .logo img {
    max-width: 115px;
}
.ticker-partner .wp-block-lcb-ticker-carousel .logo img {
    max-width: 145px;
}
@media(max-width: 480px) {
    .ticker-kunden .wp-block-lcb-ticker-carousel .logo img {
        max-width: 95px;
    }
    .ticker-partner .wp-block-lcb-ticker-carousel .logo img {
        max-width: 125px;
    }
}

:root :where(.wp-block-social-links .wp-social-link a) {
  padding: .65em;
  background: var(--wp--preset--gradient--custom-dm-1);
  border-radius: 999px;
}


/***************************************************
****
**** STRIPE
****
***************************************************/

.docc-card > .has-large-font-size {
  margin-top: 0 !important;
  letter-spacing: -1px;
  line-height: 1.4;
  max-width: 16em;
}


/***************************************************
****
**** NAVIGATION
****
***************************************************/

:root :where(.wp-block-navigation a:where(:not(.wp-element-button)):hover),
.current-menu-item > a,
.current-menu-ancestor > a,
a.current-menu-ancestor {
    text-decoration: none;
    color: var(--wp--preset--color--dark) !important;
}

.wp-block-navigation .wp-block-navigation-item a {
    white-space: nowrap;
}

.wp-block-navigation > .wp-block-navigation-item > a {
    padding: 5px 0;
}

/*** DIVIDER / Unterteilung ***/
.loesungsnav ul li:not(.parentitem) {
    font-family: var(--wp--preset--font-family--pt-sans);
    font-size: .95rem;
}

/*** SUBMENU ***/

.wp-block-navigation:not(.has-background) .wp-block-navigation__submenu-container {
    --nav-submenu--background-color: var(--wp--preset--color--dark);
}

.wp-block-navigation .has-child .wp-block-navigation__submenu-container::before {
    border-left-width: 10px;
    border-right-width: 10px;
    border-bottom-width: 10px;
}

.wp-block-navigation__submenu-container {
    border: 1px solid var(--wp--preset--color--dark) !important;
}
.wp-block-navigation__submenu-container li:not(:first-child) {
    border-top: 1px solid var(--wp--preset--color--foreground);
}
.wp-block-navigation__submenu-container li:hover > a {
    background: var(--wp--preset--color--dark);
}
.wp-block-navigation__submenu-container a {
    padding: 10px 20px;
    justify-content: space-between;
    align-items: center;
    gap: 5px;
}
.wp-block-navigation__submenu-container a:after,
.wp-block-categories-list li:before {
    content: "\24" / "";
    font-family: 'ElegantIcons' !important;
    speak: none;
    font-style: normal !important;
    font-weight: normal !important;
    font-variant: normal !important;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    vertical-align: middle;
    transition: all .3s ease;
}
.wp-block-navigation__submenu-container a:after {
    transform: translateX(10px);
    opacity: 0;
}

.wp-block-navigation__submenu-container a:hover:after {
    opacity: 1;
    transform: translateX(4px);
}


/***************************************************
**** BUTTONS
***************************************************/

.button:hover {
  transform: scale(1.04);
}

.btns-spacebetween .button {
  text-align: inherit;
  justify-content: space-between;
}


/***************************************************
**** POPUPS
***************************************************/

.popup_wrapper {
    position: relative;
}


/***************************************************
**** Plugin: Trustindex
***************************************************/

.ti-fade-container {
    display: flex;
}

.ti-widget.ti-goog .ti-widget-container,
.ti-widget.ti-goog.ti-disable-animation .ti-widget-container {
    margin: 0 !important;
    text-align: left !important;
}

.ti-widget.ti-goog {
    width: auto !important;
}

.ti-widget.ti-goog .ti-header {
    padding: 15px !important;
    transform: scale(.9) !important;
    transform-origin: top right;
}

@media(max-width: 480px) {
    .ti-widget.ti-goog .source-Google .ti-platform-icon {
        width: 28px !important;
        height: 28px !important;
    }
    .ti-widget.ti-goog .ti-text, .ti-widget.ti-goog .ti-rating {
        font-size: 13px !important;
    }
    .ti-widget.ti-goog .ti-text {
        margin: 0 !important;
    }
    .ti-widget.ti-goog  .source-Google .ti-profile-details .stars .ti-star, .ti-widget.ti-goog  .source-Google .ti-profile-details .ti-stars .ti-star {
        width: 15px !important;
        height: 15px !important;
    }
}


/***************************************************
****
**** Plugin: Splide Carousel
****
***************************************************/

.wp-block-splide-carousel .splide__arrow {
    border-radius: var(--wp--custom--greyd--button--prim--border--radius);
    background: var(--wp--preset--color--dark);
    opacity: 1;
}

.wp-block-splide-carousel .splide__arrows .splide__arrow {
    width: 40px;
    height: 40px;
}

.wp-block-splide-carousel .splide__arrow svg {
    height: .7em;
    width: .7em;
    fill: white;
}

.wp-block-splide-carousel .splide__arrows--ltr .splide__arrow--prev {
    left: 1em;
}

.wp-block-splide-carousel .splide__arrows--ltr .splide__arrow--next {
    right: 1em;
}

.splide__controls {
    position: absolute;
    bottom: 1em;
    left: 1em;
    background: var(--wp--preset--color--dark);
    border-radius: var(--wp--custom--greyd--button--prim--border--radius);
    padding: 6px;
}

.wp-block-splide-carousel .splide__pagination__page,
.wp-block-splide-carousel .splide__toggle {
    background: white;
    opacity: 1 !important;
}

.wp-block-splide-carousel .splide__arrow:hover:not(:disabled),
.wp-block-splide-carousel .splide__toggle:hover,
.wp-block-splide-carousel .splide__pagination__page.is-active {
    background: var(--wp--preset--color--primary);
}

.wp-block-splide-carousel .splide__toggle {
    margin-right: 8px;
    height: 24px;
    width: 24px;
}


/***************************************************
**** QUERY LOOP
***************************************************/

.query-minus-margin ul {
  display: flex;
}
.query-minus-margin li:not(:first-child) {
  margin-left: -.5em;
}


.pgn.arrows a {
    transition: all .2s ease;
}


.crsl-projects .greyd-posts-slider .pgn.arrows a {
    border-radius: 7px;
    padding: .65em;
    backdrop-filter: blur(5px);
}

@media(max-width: 991px) {
    .crsl-projects .pgn.arrows {
        align-items: center !important;
        padding-bottom: 8.2em !important;
    }
}
@media(min-width: 1981px) {
    .crsl-projects .pgn.arrows {
        align-items: center !important;
    }
}

/***************************************************
****
**** FORMS
****
***************************************************/

.message {
    font-size: var(--wp--preset--font-size--tiny) !important;
    padding: var(--wp--preset--spacing--tiny) !important;
    margin-top: var(--wp--preset--spacing--small);
}

.greyd_form {
    margin: 0 !important;
}
.multistep_progress, .multistep_pagination {
    margin: 4px 0 0 0 !important;
}

.multistep_button.is-style-link-prim {
    color: white !important;
    background: transparent;
    padding: 0;
}


.requirement-required {
    color: var(--wp--preset--color--primary) !important;
}

.input-wrapper label.checkbox-label, .input-wrapper .label.checkbox-label, fieldset label, .wp-block-greyd-forms-radiobuttons label:not(.label), .radio_buttons label:not(.label) {
    line-height: var(--wp--custom--line-height--normal) !important;
}

.input-wrapper .label_wrap {
    margin-bottom: 0.35 * var(--wp--preset--spacing--tiny)) !important;
}

.img_pnl_wrapper {
    gap: 5px !important;
}
.check-kacheln .img_pnl {
    gap: .6em !important;
}

.check-kacheln .img_pnl .img_wrap {
    display: inline-block;
    width: 1.2em;
    height: 1.2em;
    background-color: var(--wp--preset--color--base);
    background-image: none;
    background-repeat: no-repeat;
    background-size: 57%;
    background-position: center center;
    border-radius: 999px;
}

.check-kacheln.input-wrapper:not(.is-style-none) input:checked + span + .img_pnl .img_wrap,
.check-kacheln .img_pnl.selected .img_wrap {
    background-color: var(--wp--preset--color--primary);
    background-image: url("data:image/svg+xml,%3Csvg width='100%25' height='100%25' viewBox='0 0 12 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M10.8059 0.771089C10.7378 0.698496 10.6568 0.640877 10.5676 0.601557C10.4784 0.562236 10.3827 0.541992 10.286 0.541992C10.1893 0.541992 10.0936 0.562236 10.0044 0.601557C9.91511 0.640877 9.83412 0.698496 9.76605 0.771089L4.3104 6.54889L2.01829 4.11695C1.94761 4.04473 1.86417 3.98795 1.77274 3.94984C1.6813 3.91173 1.58367 3.89304 1.48541 3.89484C1.38715 3.89664 1.29019 3.91889 1.20006 3.96032C1.10992 4.00175 1.02839 4.06155 0.960114 4.13631C0.891835 4.21107 0.838147 4.29931 0.802115 4.39601C0.766083 4.49271 0.748412 4.59597 0.750112 4.6999C0.751812 4.80382 0.772849 4.90637 0.812023 5.0017C0.851196 5.09702 0.907738 5.18325 0.978421 5.25547L3.79046 8.22956C3.85854 8.30216 3.93953 8.35977 4.02877 8.39909C4.11801 8.43841 4.21372 8.45866 4.3104 8.45866C4.40707 8.45866 4.50278 8.43841 4.59202 8.39909C4.68126 8.35977 4.76225 8.30216 4.83033 8.22956L10.8059 1.90961C10.8802 1.83708 10.9396 1.74906 10.9801 1.65109C11.0207 1.55311 11.0417 1.44731 11.0417 1.34035C11.0417 1.23339 11.0207 1.12759 10.9801 1.02961C10.9396 0.931639 10.8802 0.843615 10.8059 0.771089Z' fill='white'/%3E%3C/svg%3E%0A");
}
